Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 11648027: Extract external file systems handling from isolated context. (Closed)

Created:
6 years, 7 months ago by tbarzic
Modified:
6 years, 6 months ago
Reviewers:
kinuko, benwells, jam
CC:
chromium-reviews, nkostylev+watch_chromium.org, jam, achuith+watch_chromium.org, joi+watch-content_chromium.org, darin-cc_chromium.org, oshima+watch_chromium.org, tzik+watch_chromium.org, kinuko+watch, stevenjb+watch_chromium.org, davemoore+watch_chromium.org
Visibility:
Public.

Description

Extract external file systems handling from isolated context. Move mount point info bookeeping from CrosMountPointProvider to ExternalMountPoints. Add some tests for CrosMountPointProvider. BUG=158837 TEST=content_unittests:CrosMountPointProvider* TBR=benwells@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=177578

Patch Set 1 #

Patch Set 2 : missing files #

Patch Set 3 : . #

Patch Set 4 : bit cleanup #

Patch Set 5 : . #

Patch Set 6 : . #

Patch Set 7 : . #

Patch Set 8 : . #

Patch Set 9 : . #

Patch Set 10 : . #

Total comments: 32

Patch Set 11 : #

Patch Set 12 : was missing a space #

Patch Set 13 : Distinguish between external and isolated NativeLocal FSs #

Patch Set 14 : . #

Patch Set 15 : #

Total comments: 9

Patch Set 16 : review feedback addressed #

Patch Set 17 : few nits #

Total comments: 28

Patch Set 18 : nits, separate tests #

Patch Set 19 : . #

Patch Set 20 : compile fix #

Patch Set 21 : some nits #

Patch Set 22 : #

Total comments: 18

Patch Set 23 : . #

Total comments: 3

Patch Set 24 : win: normalize paths #

Patch Set 25 : . #

Patch Set 26 : #

Patch Set 27 : . #

Total comments: 2

Patch Set 28 : gypi file #

Total comments: 3

Patch Set 29 : gypi change #

Patch Set 30 : . #

Patch Set 31 : rebase #

Patch Set 32 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1398 lines, -504 lines) Patch
M chrome/browser/chromeos/drive/drive_file_system_proxy.h View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/extensions/api/file_system/file_system_api.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 1 chunk +4 lines, -4 lines 0 comments Download
M chrome/browser/ui/views/select_file_dialog_extension_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 2 chunks +7 lines, -1 line 0 comments Download
M content/content_tests.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 2 chunks +2 lines, -0 lines 0 comments Download
M webkit/chromeos/fileapi/cros_mount_point_provider.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 4 chunks +35 lines, -17 lines 0 comments Download
M webkit/chromeos/fileapi/cros_mount_point_provider.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 11 chunks +67 lines, -71 lines 0 comments Download
A webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +325 lines, -0 lines 0 comments Download
M webkit/chromeos/fileapi/remote_file_stream_writer.cc View 1 chunk +1 line, -1 line 0 comments Download
M webkit/chromeos/fileapi/remote_file_system_operation.h View 1 chunk +1 line, -1 line 0 comments Download
D webkit/chromeos/fileapi/remote_file_system_proxy.h View 1 chunk +0 lines, -122 lines 0 comments Download
A webkit/fileapi/external_mount_points.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +155 lines, -0 lines 0 comments Download
A webkit/fileapi/external_mount_points.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 1 chunk +331 lines, -0 lines 0 comments Download
A webkit/fileapi/external_mount_points_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 1 chunk +227 lines, -0 lines 0 comments Download
M webkit/fileapi/file_system_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 3 chunks +7 lines, -1 line 0 comments Download
M webkit/fileapi/file_system_mount_point_provider.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +4 lines, -4 lines 0 comments Download
M webkit/fileapi/file_system_url.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +6 lines, -1 line 0 comments Download
M webkit/fileapi/file_system_url_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 3 chunks +11 lines, -2 lines 0 comments Download
M webkit/fileapi/isolated_context.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 6 chunks +24 lines, -113 lines 0 comments Download
M webkit/fileapi/isolated_context.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 13 chunks +82 lines, -153 lines 0 comments Download
M webkit/fileapi/isolated_context_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 5 chunks +6 lines, -6 lines 0 comments Download
M webkit/fileapi/isolated_file_util.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
A webkit/fileapi/mount_points.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 1 chunk +77 lines, -0 lines 0 comments Download
A webkit/fileapi/mount_points.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 1 chunk +15 lines, -0 lines 0 comments Download
A + webkit/fileapi/remote_file_system_proxy.h View 0 chunks +-1 lines, --1 lines 0 comments Download
M webkit/fileapi/syncable/canned_syncable_file_system.cc View 1 2 3 4 5 1 chunk +0 lines, -1 line 0 comments Download
M webkit/fileapi/syncable/syncable_file_system_util.cc View 1 chunk +4 lines, -3 lines 0 comments Download
M webkit/fileapi/syncable/syncable_file_system_util_unittest.cc View 1 2 3 4 5 6 1 chunk +1 line, -1 line 0 comments Download
M webkit/fileapi/webkit_fileapi.gypi View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 3 chunks +5 lines, -1 line 0 comments Download

Messages

Total messages: 26 (0 generated)
tbarzic
6 years, 6 months ago (2013-01-08 04:30:09 UTC) #1
kinuko
While I'm not fully clear about the final design of this refactoring this cl looks ...
6 years, 6 months ago (2013-01-08 12:22:43 UTC) #2
tbarzic
https://codereview.chromium.org/11648027/diff/13044/chrome/browser/ui/views/select_file_dialog_extension_browsertest.cc File chrome/browser/ui/views/select_file_dialog_extension_browsertest.cc (right): https://codereview.chromium.org/11648027/diff/13044/chrome/browser/ui/views/select_file_dialog_extension_browsertest.cc#newcode125 chrome/browser/ui/views/select_file_dialog_extension_browsertest.cc:125: "Downloads"); On 2013/01/08 12:22:43, kinuko wrote: > nit: This ...
6 years, 6 months ago (2013-01-09 01:26:34 UTC) #3
tbarzic
As for handling Media file systems.. first thing that comes to mind (without lot of ...
6 years, 6 months ago (2013-01-09 01:47:25 UTC) #4
kinuko
(I haven't looked through all files yet but sending out some comments now) https://codereview.chromium.org/11648027/diff/36035/webkit/chromeos/fileapi/cros_mount_point_provider.cc File ...
6 years, 6 months ago (2013-01-09 16:37:12 UTC) #5
tonibarzic
https://codereview.chromium.org/11648027/diff/36035/webkit/chromeos/fileapi/cros_mount_point_provider.cc File webkit/chromeos/fileapi/cros_mount_point_provider.cc (right): https://codereview.chromium.org/11648027/diff/36035/webkit/chromeos/fileapi/cros_mount_point_provider.cc#newcode222 webkit/chromeos/fileapi/cros_mount_point_provider.cc:222: bool include_system_mount_points) const { On 2013/01/09 16:37:12, kinuko wrote: ...
6 years, 6 months ago (2013-01-09 17:09:46 UTC) #6
tbarzic
https://codereview.chromium.org/11648027/diff/36035/webkit/chromeos/fileapi/cros_mount_point_provider.cc File webkit/chromeos/fileapi/cros_mount_point_provider.cc (right): https://codereview.chromium.org/11648027/diff/36035/webkit/chromeos/fileapi/cros_mount_point_provider.cc#newcode222 webkit/chromeos/fileapi/cros_mount_point_provider.cc:222: bool include_system_mount_points) const { On 2013/01/09 17:09:46, tonibarzic wrote: ...
6 years, 6 months ago (2013-01-10 00:39:56 UTC) #7
kinuko
Ok, I think it's getting nicer now! One high-level comment I had is if we ...
6 years, 6 months ago (2013-01-10 05:47:31 UTC) #8
tonibarzic
https://codereview.chromium.org/11648027/diff/33007/chrome/browser/intents/device_attached_intent_source.cc File chrome/browser/intents/device_attached_intent_source.cc (left): https://codereview.chromium.org/11648027/diff/33007/chrome/browser/intents/device_attached_intent_source.cc#oldcode131 chrome/browser/intents/device_attached_intent_source.cc:131: On 2013/01/10 05:47:31, kinuko wrote: > nit: let's not ...
6 years, 6 months ago (2013-01-11 01:50:04 UTC) #9
kinuko
fileapi lgtm with some nits https://codereview.chromium.org/11648027/diff/56002/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc File webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc (right): https://codereview.chromium.org/11648027/diff/56002/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc#newcode17 webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc:17: #define FPL(x) FILE_PATH_LITERAL(x) tiny ...
6 years, 6 months ago (2013-01-11 08:20:52 UTC) #10
tbarzic
https://codereview.chromium.org/11648027/diff/56002/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc File webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc (right): https://codereview.chromium.org/11648027/diff/56002/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc#newcode17 webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc:17: #define FPL(x) FILE_PATH_LITERAL(x) On 2013/01/11 08:20:52, kinuko wrote: > ...
6 years, 6 months ago (2013-01-11 09:13:16 UTC) #11
tbarzic
Kinuko, would you mind taking another look (at diff to the PatchSet 23)
6 years, 6 months ago (2013-01-12 03:20:14 UTC) #12
tbarzic
+jam, for content/content_tests.gypi
6 years, 6 months ago (2013-01-14 19:18:27 UTC) #13
jam
https://codereview.chromium.org/11648027/diff/79001/content/content_tests.gypi File content/content_tests.gypi (right): https://codereview.chromium.org/11648027/diff/79001/content/content_tests.gypi#newcode591 content/content_tests.gypi:591: '../webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc' you should list this file path above. by ...
6 years, 6 months ago (2013-01-14 21:05:46 UTC) #14
tbarzic
https://chromiumcodereview.appspot.com/11648027/diff/79001/content/content_tests.gypi File content/content_tests.gypi (right): https://chromiumcodereview.appspot.com/11648027/diff/79001/content/content_tests.gypi#newcode591 content/content_tests.gypi:591: '../webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc' On 2013/01/14 21:05:46, John Abd-El-Malek wrote: > you ...
6 years, 6 months ago (2013-01-14 21:36:28 UTC) #15
jam
https://codereview.chromium.org/11648027/diff/78003/content/content_tests.gypi File content/content_tests.gypi (right): https://codereview.chromium.org/11648027/diff/78003/content/content_tests.gypi#newcode596 content/content_tests.gypi:596: ['exclude', '^../webkit/chromeos/'], are you sure you need this? the ...
6 years, 6 months ago (2013-01-15 01:37:10 UTC) #16
tbarzic
https://codereview.chromium.org/11648027/diff/78003/content/content_tests.gypi File content/content_tests.gypi (right): https://codereview.chromium.org/11648027/diff/78003/content/content_tests.gypi#newcode596 content/content_tests.gypi:596: ['exclude', '^../webkit/chromeos/'], On 2013/01/15 01:37:10, John Abd-El-Malek wrote: > ...
6 years, 6 months ago (2013-01-15 02:11:27 UTC) #17
kinuko
still lgtm with one nit https://codereview.chromium.org/11648027/diff/66001/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc File webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc (right): https://codereview.chromium.org/11648027/diff/66001/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc#newcode52 webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc:52: EXPECT_TRUE(root_dirs_set.count(FilePath(FPL("/usr/share/oem")))); Can we do ...
6 years, 6 months ago (2013-01-15 16:19:16 UTC) #18
tbarzic
btw. Patch 23 doesn't have the changes I pinged you to take another look at, ...
6 years, 6 months ago (2013-01-15 16:37:48 UTC) #19
jam
https://codereview.chromium.org/11648027/diff/78003/content/content_tests.gypi File content/content_tests.gypi (right): https://codereview.chromium.org/11648027/diff/78003/content/content_tests.gypi#newcode596 content/content_tests.gypi:596: ['exclude', '^../webkit/chromeos/'], On 2013/01/15 02:11:27, tbarzic wrote: > On ...
6 years, 6 months ago (2013-01-15 20:52:45 UTC) #20
kinuko
https://codereview.chromium.org/11648027/diff/66001/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc File webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc (right): https://codereview.chromium.org/11648027/diff/66001/webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc#newcode52 webkit/chromeos/fileapi/cros_mount_point_provider_unittest.cc:52: EXPECT_TRUE(root_dirs_set.count(FilePath(FPL("/usr/share/oem")))); On 2013/01/15 16:37:48, tbarzic wrote: > On 2013/01/15 ...
6 years, 6 months ago (2013-01-16 02:57:12 UTC) #21
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/11648027/57002
6 years, 6 months ago (2013-01-18 00:13:50 UTC) #22
commit-bot: I haz the power
Failed to apply patch for chrome/browser/ui/views/select_file_dialog_extension_browsertest.cc: While running patch -p1 --forward --force --no-backup-if-mismatch; patching file ...
6 years, 6 months ago (2013-01-18 00:14:01 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/11648027/112002
6 years, 6 months ago (2013-01-18 00:24:55 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tbarzic@chromium.org/11648027/112002
6 years, 6 months ago (2013-01-18 02:47:38 UTC) #25
commit-bot: I haz the power
6 years, 6 months ago (2013-01-18 03:13:03 UTC) #26
Message was sent while issue was closed.
Change committed as 177578

Powered by Google App Engine
This is Rietveld 408576698